﻿using SushiBarDataModels.Enums;

namespace SushiBarDataModels.Models
{
    public interface IOrderModel : IId
    {
        int SushiId { get; }
        int ClientId { get; }
        int Count { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }
    }
}
